# -*- coding: utf-8 -*-
"""
pyud: A simple wrapper for the Urban Dictionary API
Copyright (c) 2020 William Lee

This file is part of pyud.

pyud is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

pyud is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with pyud.  If not, see <https://www.gnu.org/licenses/>.
"""

from collections import namedtuple

from .definition import Definition
from .client import AsyncClient, Client

__author__ = "William Lee"
__version__ = "1.0.1"

VersionInfo = namedtuple(
    'version_info', 'major minor micro releaselevel serial'
)

version_info = VersionInfo(
    major=1, minor=0, micro=1, releaselevel='final', serial=0
)
